%global momorel 1

%global _privatelibs libgom-1[.]0[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

Name:           gnome-online-miners
Version:        3.22.0
Release:        %{momorel}m%{?dist}
Summary:        Crawls through your online content
Group:		Applications/System
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeOnlineMiners
Source0:        http://download.gnome.org/sources/%{name}/3.22/%{name}-%{version}.tar.xz
NoSource:	0

BuildRequires:  gfbgraph-devel
BuildRequires:  glib2-devel >= 2.50
BuildRequires:  gnome-online-accounts-devel >= 3.22.0
BuildRequires:  grilo-devel >= 0.3
BuildRequires:  libgdata-devel >= 0.17
BuildRequires:  libzapojit-devel >= 0.0.3
BuildRequires:  pkgconfig
BuildRequires:  tracker-devel >= 1.10
Requires:       dbus
Requires:       grilo-plugins
Requires:       gvfs >= 1.18.3

%description
GNOME Online Miners provides a set of crawlers that go through your online
content and index them locally in Tracker. It has miners for Facebook, Flickr,
Google and SkyDrive.


%prep
%setup -q


%build
%configure \
  --disable-silent-rules \
  --disable-static

make %{?_smp_mflags}


%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -delete

# Use %%doc instead.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%files
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc README
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Facebook.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Flickr.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.GData.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.MediaServer.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Owncloud.service
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Zpj.service

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgom-1.0.so

%{_libexecdir}/gom-facebook-miner
%{_libexecdir}/gom-flickr-miner
%{_libexecdir}/gom-gdata-miner
%{_libexecdir}/gom-media-server-miner
%{_libexecdir}/gom-owncloud-miner
%{_libexecdir}/gom-zpj-miner


%changelog
* Sun Feb 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.0-1m)
- update 3.22.0

* Fri Nov  7 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-1m)
- import from fc22
